# Enum Class NodeType

java.lang.Object
java.lang.Enum<NodeType>
nu.validator.saxtree.NodeType

All Implemented Interfaces:
  `Serializable, Comparable<NodeType>, Constable`

public enum NodeType extends Enum<NodeType>
The node type.

Version:
  $Id$
Author:
  hsivonen

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CDATA`
A CDATA section.
`CHARACTERS`
A run of characters.
`COMMENT`
A comment.
`DOCUMENT`
A document.
`DOCUMENT_FRAGMENT`
A document fragment.
`DTD`
A DTD.
`ELEMENT`
An element.
`ENTITY`
An entity.
`IGNORABLE_WHITESPACE`
A run of ignorable whitespace.
`PROCESSING_INSTRUCTION`
A processing instruction.
`SKIPPED_ENTITY`
A skipped entity.

## Method Summary

Modifier and Type
Method
Description
`static NodeType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NodeType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CDATA

public static final NodeType CDATA
A CDATA section.

### CHARACTERS

public static final NodeType CHARACTERS
A run of characters.

### COMMENT

public static final NodeType COMMENT
A comment.

### DOCUMENT

public static final NodeType DOCUMENT
A document.

### DOCUMENT_FRAGMENT

public static final NodeType DOCUMENT_FRAGMENT
A document fragment.

### DTD

public static final NodeType DTD
A DTD.

### ELEMENT

public static final NodeType ELEMENT
An element.

### ENTITY

public static final NodeType ENTITY
An entity.

### IGNORABLE_WHITESPACE

public static final NodeType IGNORABLE_WHITESPACE
A run of ignorable whitespace.

### PROCESSING_INSTRUCTION

public static final NodeType PROCESSING_INSTRUCTION
A processing instruction.

### SKIPPED_ENTITY

public static final NodeType SKIPPED_ENTITY
A skipped entity.

## Method Details

### values

public static NodeType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static NodeType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null